Bug 832094 - iwlwifi: GF was set with SGI:SISO
iwlwifi: GF was set with SGI:SISO
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 09:45 EDT by Matt Kinni
Modified: 2012-12-06 06:26 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-06 06:26:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Kinni 2012-06-14 09:45:39 EDT
Description of problem:

Hello.  I have been having reliability issues with my wireless chipset for the past few kernels, and the message

 kernel: [31516.832262] iwlwifi 0000:25:00.0: GF was set with SGI:SISO
 kernel: [31516.832270] iwlwifi 0000:25:00.0: GF was set with SGI:SISO
 kernel: [31516.834615] iwlwifi 0000:25:00.0: GF was set with SGI:SISO

gets spammed to the log at an alarming frequency (as you can see, on the order of milliseconds).  My connection frequently cuts out and I can only recover using the rfkill switch, but while it is working those messages get spammed in the background for a a while (hours if I'm lucky) before it finally dies.  

My /var/log/messages is 56 megabytes in only a few days, almost entirely the "GF was set with SGI:SISO" message.


Version-Release number of selected component (if applicable):

Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 35)
kernel-3.3.4-5.fc17.x86_64
iwl6000-firmware-9.221.4.1-3.fc17.noarch

The current 3.4 kernel also has this problem, I'm just not using it right now

How reproducible:
always

Steps to Reproduce:
1. modprobe iwlagn
2.
3.
  
Actual results:
Connection flaky, cuts out 

Expected results:
More stable

Additional info:
I don't really know what other info I can provide here besides my kernel messages, but would gladly help more if given direction.  Thanks mr linville for your hard work.

Also I'm not sure if it's related, but I also sometimes get messages like this:
 [25936.495727] iwlwifi 0000:25:00.0: Queue 11 stuck for 2000 ms.
 [26124.207573] iwlwifi 0000:25:00.0: U iwl_send_cmd_sync Current CMD queue read_ptr 30 write_ptr 31
Comment 1 John W. Linville 2012-06-14 10:12:34 EDT
Looks like some confusion with communicating about rate data between the iwlwifi driver and the iwl6000 firmware?  I'm guessing... :-(
Comment 2 Cesar Eduardo Barros 2012-06-21 20:24:04 EDT
In case it helps, I have a bug report with a similar error message at http://bugzilla.intellinuxwireless.org/show_bug.cgi?id=2361
Comment 3 moondrake 2012-06-23 08:50:44 EDT
Same problem here, (probably a result of a kernel update to 3.4.2-1.fc16.x86_64).
0000:03:00.0 Network controller [0280]: Intel Corporation Centrino Ultimate-N 6300 [8086:4238] (rev 35)
        Subsystem: Intel Corporation Centrino Ultimate-N 6300 3x3 AGN [8086:1111]


It may indeed be a result of some interaction with other wireless devices as described in the link above.
Comment 4 Stanislaw Gruszka 2012-11-16 05:59:39 EST
Does the problem still happen on 3.6.5 or later ?

Note You need to log in before you can comment on or make changes to this bug.